<resources>


    <style name="AppBlankTheme" parent="Theme.MaterialComponents.Light.DarkActionBar">
        <!-- Main theme colors -->
        <!--   your app branding color for the app bar -->
        <item name="colorPrimary">@color/primary</item>
        <!--   darker variant for the status bar and contextual app bars -->
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <!--   theme UI controls like checkboxes and text fields -->
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:itemBackground">@color/colorBlue</item>
    </style>
    <!--Both themes below are those accepted to make the ToolBar works-->
    <!-- Base application thème. -->
    <style name="AppTheme" parent="AppBlankTheme">
        <!-- Customize your theme here. -->
        <!-- Base application thème. -->
        <item name="windowNoTitle">false</item>
        <item name="windowActionBar">true</item>

    </style>


    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="android:statusBarColor">@android:color/transparent</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />


    <style name="AppTheme.Dark.Dialog" parent="Theme.AppCompat.Dialog">
        <item name="colorAccent">@color/black</item>
        <item name="android:textColorPrimary">@color/iron</item>
        <item name="android:background">@color/primary</item>
    </style>

    <style name="modifiedEditText" parent="parent">
        <item name="android:textSize">@dimen/newsMoreTextSize</item>
        <item name="android:backgroundTint">@color/primaryTextColor</item>
    </style>
    <!-- The launcher theme. It sets the main window background to the launch_screen drawable -->

    <!--styles for app-->
    <!--df dialog-->

    <style name="viewParent">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
    </style>

    <style name="viewParent.headerText">
        <item name="android:textColor">@color/contentTextColor</item>
        <item name="android:textSize">@dimen/headerTextSize</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="viewParent.headerText.NoMode">
        <item name="android:textColor">@color/darkTextColor</item>
    </style>

    <style name="parent">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
    </style>


    <style name="loginButton" parent="viewParent">
        <item name="android:background">@drawable/button_background_blue</item>
        <item name="android:textColor">@color/whiteTextColor</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="spinnerHintText" parent="parent">
        <item name="android:textSize">@dimen/newsMoreTextSize</item>
        <item name="android:textColor">@color/colorAccent</item>
        <item name="android:paddingLeft">5dp</item>
    </style>


    <!--styles for profile-->
    <style name="AppTheme.ProfileTheme">
        <item name="colorPrimaryDark">@color/profilePrimaryDark</item>
        <item name="colorAccent">@color/profileAccentColor</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="android:textColor">@color/whiteTextColor</item>
    </style>

    <style name="TransparentText" parent="@android:style/TextAppearance">
        <item name="android:textColor">#00000000</item>
    </style>


    <style name="headerText" parent="parent">
        <item name="android:textSize">@dimen/headerTextSize</item>
        <item name="android:textColor">@color/blackTextColor</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="textInputHintStyle" parent="TextAppearance.AppCompat.Medium.Inverse">
        <item name="android:textColorHint">@color/blackTextColor</item>
        <item name="android:textColor">@color/blackTextColor</item>
        <item name="android:textSize">17sp</item>
        <item name="android:textStyle">bold</item>
    </style>


    <style name="profileDetailsLayout" parent="parent">
        <item name="android:layout_marginTop">20dp</item>
    </style>

    <style name="profileDetailsImage">
        <item name="android:layout_width">40dp</item>
        <item name="android:layout_height">40dp</item>
        <item name="android:layout_alignParentTop">true</item>
        <item name="android:layout_alignParentLeft">true</item>
    </style>

    <style name="profileDetailsTextMain" parent="viewParent">
        <item name="android:textColor">@color/blackTextColor</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">16sp</item>
        <item name="android:layout_marginLeft">10dp</item>
    </style>

    <style name="profileDetailsMiniText" parent="viewParent">
        <item name="android:layout_alignParentBottom">true</item>
        <item name="android:textColor">@color/blackTextColor</item>
        <item name="android:textSize">14sp</item>
        <item name="android:layout_marginLeft">10dp</item>
    </style>

    <style name="proifleDetailsView">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">2dp</item>
        <item name="android:background">@color/profileAccentColor</item>
        <item name="android:layout_marginTop">5dp</item>
    </style>


    <style name="HintText" parent="TextAppearance.Design.Hint">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/colorPrimary</item>
    </style>

    <style name="CounterText" parent="TextAppearance.Design.Counter">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/colorRed</item>
    </style>

    <style name="CounterOverFlow" parent="TextAppearance.Design.Counter.Overflow">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/colorOrange</item>
    </style>

    <style name="ErrorText" parent="TextAppearance.Design.Error">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/black</item>
    </style>



</resources>